org.apache.poi.xssf.usermodel

## Class XSSFConditionFilterData

- java.lang.Object
- - org.apache.poi.xssf.usermodel.XSSFConditionFilterData

- All Implemented Interfaces:
    ConditionFilterData

      public class XSSFConditionFilterData
      extends java.lang.Object
      implements ConditionFilterData

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAboveAverage()`
    `boolean` | `getBottom()`
    `boolean` | `getEqualAverage()`
    `boolean` | `getPercent()`
    `long` | `getRank()`
    `int` | `getStdDev()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAboveAverage

          public boolean getAboveAverage()

      Specified by:
        `getAboveAverage` in interface `ConditionFilterData`
      Returns:
        true if the flag is missing or set to true

    - #### getBottom

          public boolean getBottom()

      Specified by:
        `getBottom` in interface `ConditionFilterData`
      Returns:
        true if the flag is set

    - #### getEqualAverage

          public boolean getEqualAverage()

      Specified by:
        `getEqualAverage` in interface `ConditionFilterData`
      Returns:
        true if the flag is set

    - #### getPercent

          public boolean getPercent()

      Specified by:
        `getPercent` in interface `ConditionFilterData`
      Returns:
        true if the flag is set

    - #### getRank

          public long getRank()

      Specified by:
        `getRank` in interface `ConditionFilterData`
      Returns:
        value, or 0 if not used/defined

    - #### getStdDev

          public int getStdDev()

      Specified by:
        `getStdDev` in interface `ConditionFilterData`
      Returns:
        value, or 0 if not used/defined

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.